MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::OSSSCF Class Reference
Inheritance diagram for sc::OSSSCF:

List of all members.

## Public Member Functions

| OSSSCF (StateIn &)
| OSSSCF (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about the object.
double | occupation (int ir, int vectornum)
| Returns the occupation.
double | alpha_occupation (int irrep, int vectornum)
| Returns the alpha occupation.
double | beta_occupation (int irrep, int vectornum)
| Returns the beta occupation.
int | n_fock_matrices () const
RefSymmSCMatrix | fock (int)
RefSymmSCMatrix | effective_fock ()
RefSymmSCMatrix | density ()
| Returns the SO density.
RefSymmSCMatrix | alpha_density ()
| Return alpha electron densities in the SO basis.
RefSymmSCMatrix | beta_density ()
| Return beta electron densities in the SO basis.
void | symmetry_changed ()
| Call this if you have changed the molecular symmetry of the molecule contained by this MolecularEnergy.
int | spin_polarized ()
| Return 1 if the alpha density is not equal to the beta density.

## Protected Member Functions

void | set_occupations (const RefDiagSCMatrix &evals)
void | init_vector ()
void | done_vector ()
void | reset_density ()
double | new_density ()
double | scf_energy ()
Ref< SCExtrapData > | extrap_data ()
void | init_gradient ()
void | done_gradient ()
RefSymmSCMatrix | lagrangian ()
RefSymmSCMatrix | gradient_density ()
void | init_hessian ()
void | done_hessian ()

## Protected Attributes

int | user_occupations_
int | tndocc_
int | nirrep_
int * | ndocc_
int | osa_
int | osb_
ResultRefSymmSCMatrix | cl_fock_
ResultRefSymmSCMatrix | op_focka_
ResultRefSymmSCMatrix | op_fockb_
RefSymmSCMatrix | cl_dens_
RefSymmSCMatrix | cl_dens_diff_
RefSymmSCMatrix | cl_gmat_
RefSymmSCMatrix | op_densa_
RefSymmSCMatrix | op_densa_diff_
RefSymmSCMatrix | op_gmata_
RefSymmSCMatrix | op_densb_
RefSymmSCMatrix | op_densb_diff_
RefSymmSCMatrix | op_gmatb_
RefSymmSCMatrix | cl_hcore_

## Member Function Documentation

double sc::OSSSCF::alpha_occupation | ( | int | irrep,
|  | int | vectornum
| ) |  | `[virtual]`

Returns the alpha occupation.

The irreducible representation and the vector number within that representation are given as arguments.

Reimplemented from sc::OneBodyWavefunction.

double sc::OSSSCF::beta_occupation | ( | int | irrep,
|  | int | vectornum
| ) |  | `[virtual]`

Returns the beta occupation.

The irreducible representation and the vector number within that representation are given as arguments.

Reimplemented from sc::OneBodyWavefunction.

double sc::OSSSCF::occupation | ( | int | irrep,
|  | int | vectornum
| ) |  | `[virtual]`

Returns the occupation.

The irreducible representation and the vector number within that representation are given as arguments.

Implements sc::OneBodyWavefunction.

void sc::OSSSCF::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCF.

Reimplemented in sc::OSSHF.

void sc::OSSSCF::symmetry_changed | ( |  | ) | `[virtual]`

Call this if you have changed the molecular symmetry of the molecule contained by this MolecularEnergy.

Reimplemented from sc::SCF.

The documentation for this class was generated from the following file:

- ossscf.h